clang-tools 6.0.0

Classes | Namespaces | Functions
ReadabilityTidyModule.cpp File Reference
`#include "../ClangTidy.h"`
`#include "../ClangTidyModule.h"`
`#include "../ClangTidyModuleRegistry.h"`
`#include "AvoidConstParamsInDecls.h"`
`#include "BracesAroundStatementsCheck.h"`
`#include "ContainerSizeEmptyCheck.h"`
`#include "DeleteNullPointerCheck.h"`
`#include "DeletedDefaultCheck.h"`
`#include "ElseAfterReturnCheck.h"`
`#include "FunctionSizeCheck.h"`
`#include "IdentifierNamingCheck.h"`
`#include "ImplicitBoolConversionCheck.h"`
`#include "InconsistentDeclarationParameterNameCheck.h"`
`#include "MisleadingIndentationCheck.h"`
`#include "MisplacedArrayIndexCheck.h"`
`#include "NamedParameterCheck.h"`
`#include "NonConstParameterCheck.h"`
`#include "RedundantControlFlowCheck.h"`
`#include "RedundantDeclarationCheck.h"`
`#include "RedundantFunctionPtrDereferenceCheck.h"`
`#include "RedundantMemberInitCheck.h"`
`#include "RedundantSmartptrGetCheck.h"`
`#include "RedundantStringCStrCheck.h"`
`#include "RedundantStringInitCheck.h"`
`#include "SimplifyBooleanExprCheck.h"`
`#include "StaticAccessedThroughInstanceCheck.h"`
`#include "StaticDefinitionInAnonymousNamespaceCheck.h"`
`#include "UniqueptrDeleteReleaseCheck.h"`
Include dependency graph for ReadabilityTidyModule.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::readability::ReadabilityModule

## Namespaces
| clang
| clang::tidy
| clang::tidy::readability

## Functions
static ClangTidyModuleRegistry::Add< ReadabilityModule > | clang::tidy::readability::X ("readability-module", "Adds readability-related checks.")